<img src="https://raw.githubusercontent.com/dart-windows/.github/main/assets/dart-windows-card.png" width="50%" height="50%">

A package that provides a friendly Dart API for accessing the Windows Clipboard.

This package builds on top of the Dart [win32][win32_pub_link] package, offering
a high-level Dart wrapper that avoids the need for users to understand FFI or
write directly to the Win32 API.

Part of the [Dart | Windows][dart_windows_link] suite of Windows packages.

[![ci][ci_badge]][ci_link]
[![Package: win32_clipboard][package_badge]][package_link]
[![Publisher: win32.pub][publisher_badge]][publisher_link]
[![Language: Dart][language_badge]][language_link]
[![License: BSD-3-Clause][license_badge]][license_link]
[![codecov][codecov_badge_link]][codecov_link]

## Usage

### Retrieve text from the clipboard

```dart
import 'package:win32_clipboard/win32_clipboard.dart';

void main() {
  if (Clipboard.hasText) {
    print('Clipboard text: ${Clipboard.getText()}');
  }
}
```

### Write text to the clipboard

```dart
import 'package:win32_clipboard/win32_clipboard.dart';

void main() {
  if (Clipboard.setText('Hello, world!')) {
    print('Clipboard now contains: ${Clipboard.getText()}');
  }
}
```

To learn more, see the [API Documentation][api_documentation_link].

## Feature requests and bugs

Please file feature requests and bugs at the
[issue tracker][issue_tracker_link].

[api_documentation_link]: https://pub.dev/documentation/win32_clipboard/latest/
[ci_badge]: https://github.com/dart-windows/win32_clipboard/actions/workflows/dart.yml/badge.svg
[ci_link]: https://github.com/dart-windows/win32_clipboard/actions/workflows/dart.yml
[codecov_badge_link]: https://codecov.io/gh/dart-windows/win32_clipboard/branch/main/graph/badge.svg?token=AM792MK0UT
[codecov_link]: https://codecov.io/gh/dart-windows/win32_clipboard
[dart_windows_link]: https://github.com/dart-windows
[issue_tracker_link]: https://github.com/dart-windows/win32_clipboard/issues
[language_badge]: https://img.shields.io/badge/language-Dart-blue.svg
[language_link]: https://dart.dev
[license_badge]: https://img.shields.io/github/license/dart-windows/win32_clipboard?color=blue
[license_link]: https://opensource.org/licenses/BSD-3-Clause
[package_badge]: https://img.shields.io/pub/v/win32_clipboard.svg
[package_link]: https://pub.dev/packages/win32_clipboard
[publisher_badge]: https://img.shields.io/pub/publisher/win32_clipboard.svg
[publisher_link]: https://pub.dev/publishers/win32.pub
[win32_pub_link]: https://pub.dev/packages/win32
